const extend = require('deep-extend')

function addDevDependencies(files = {}) {
    extend(files.pkg, {
        devDependencies: {
            '@babel/core': '^7.0.0',
            '@babel/plugin-proposal-object-rest-spread': '^7.0.0',
            '@babel/plugin-syntax-dynamic-import': '^7.0.0',
            '@babel/polyfill': '^7.0.0',
            '@babel/preset-env': '^7.0.0',
            '@babel/register': '^7.0.0',
            'autoprefixer': '^7.1.6',
            'babel-eslint': '8.2.2',
            'babel-loader': '8.0.0-beta.2',
            'babel-plugin-lodash': '^3.3.2',
            'browser-sync': '^2.11.8',
            'chalk': '^2.3.0',
            'clean-webpack-plugin': '^0.1.16',
            'critical': '^1.0.0',
            'cross-env': '^5.1.1',
            'css-loader': '^0.28.10',
            'cssnano': '^3.5.2',
            'del': '^3.0.0',
            'easy-stylelint-plugin': '^0.0.8',
            'eslint': '^4.18.2',
            'eslint-config-airbnb': '^16.1.0',
            'eslint-config-airbnb-base': '^12.1.0',
            'eslint-config-defaults': '^9.0.0',
            'eslint-config-prettier': '^2.9.0',
            'eslint-formatter-pretty': '^1.3.0',
            'eslint-import-resolver-webpack': '^0.8.4',
            'eslint-loader': '^2.0.0',
            'eslint-plugin-import': '^2.9.0',
            'eslint-plugin-jsx-a11y': '^6.0.3',
            'eslint-plugin-vue': '^4.3.0',
            'extract-text-webpack-plugin': '^4.0.0-beta.0',
            'fancy-log': '^1.3.2',
            'fg-loadcss': '^1.3.1',
            'file-loader': '^1.1.11',
            'friendly-errors-webpack-plugin': '^1.6.1',
            'gulp': '^3.9.1',
            'gulp-changed': '^3.1.1',
            'gulp-cheerio': '^0.6.2',
            'gulp-concat': '^2.6.0',
            'gulp-data': '^1.2.1',
            'gulp-debug': '^3.0.0',
            'gulp-favicons': '^2.2.7',
            'gulp-if': '^2.0.2',
            'gulp-imagemin': '^3.3.0',
            'gulp-load-plugins': '^1.2.0',
            'gulp-notify': '^3.0.0',
            'gulp-plumber': '^1.1.0',
            'gulp-postcss': '^7.0.0',
            'gulp-rename': '^1.2.2',
            'gulp-sass': '^3.0.0',
            'gulp-size': '^2.0.0',
            'gulp-sourcemaps': '^2.6.0',
            'gulp-stylelint': '^5.0.0',
            'gulp-svg-sprite': '^1.2.19',
            'gulp-twig': '^1.1.1',
            'gulp-uglify': '^3.0.0',
            'gulp-util': '^3.0.7',
            'gulp-watch': '^4.3.5',
            'html-webpack-plugin': '^3.0.6',
            'http-proxy-middleware': '^0.18.0',
            'imagemin-gifsicle': '^5.1.0',
            'imagemin-jpeg-recompress': '^5.0.0',
            'imagemin-jpegtran': '^5.0.2',
            'imagemin-optipng': '^5.2.1',
            'imagemin-pngquant': '^5.0.0',
            'imagemin-svgo': '^6.0.0',
            'inject-loader': '^3.0.1',
            'inquirer': '^3.1.1',
            'json-loader': '^0.5.7',
            'mem-fs': '^1.1.3',
            'mem-fs-editor': '^3.0.2',
            'optimize-css-assets-webpack-plugin': '^4.0.0',
            'path': '^0.12.7',
            'postcss-assets': '^5.0.0',
            'postcss-flexbugs-fixes': '^3.0.0',
            'postcss-loader': '^2.0.8',
            'postcss-normalize': '^4.0.0',
            'postcss-responsive-type': '^1.0.0',
            'postcss-selector-matches': '^3.0.1',
            'postcss-short-size': '^3.0.0',
            'postcss-svg': '^2.3.0',
            'prettier': '1.11.1',
            'prettier-eslint-cli': '^4.7.1',
            'require-dir': '^0.3.2',
            'run-sequence': '^2.2.0',
            'sass-loader': '^6.0.7',
            'sass-resources-loader': '^1.3.3',
            'style-loader': '^0.20.3',
            'stylelint': '^8.2.0',
            'stylelint-config-sass-guidelines': '^3.1.0',
            'stylelint-order': '^0.7.0',
            'stylelint-scss': '^2.1.0',
            'stylelint-selector-bem-pattern': '^2.0.0',
            'stylelint-webpack-plugin': '^0.10.3',
            'url-loader': '^1.0.1',
            'utils-merge': '^1.0.0',
            'vinyl-buffer': '^1.0.0',
            'vinyl-source-stream': '^1.1.0',
            'vue-loader': '^14.2.1',
            'vue-style-loader': '^4.0.2',
            'vue-template-compiler': '^2.5.16',
            'webpack': '^4.20.2',
            'webpack-bundle-analyzer': '^2.11.1',
            'webpack-cli': '^3.1.2',
            'webpack-config-utils': '^2.3.0',
            'webpack-dashboard': '^1.0.1',
            'webpack-dev-middleware': '^3.0.1',
            'webpack-hot-middleware': '^2.21.2',
            'write-file-webpack-plugin': '^4.2.0',
            'yargs': '^10.0.3'
        }
    })
}

module.exports = addDevDependencies
